Loading...
Searching...
No Matches
AVHWAccel Struct Reference
libavcodec » Core functions/structures. » AVHWAccel

`#include <libavcodec/avcodec.h>`

## Data Fields

const char * | name
| Name of the hardware accelerated codec.
enum AVMediaType | type
| Type of codec implemented by the hardware accelerator.
enum AVCodecID | id
| Codec implemented by the hardware accelerator.
enum AVPixelFormat | pix_fmt
| Supported pixel format.
int | capabilities
| Hardware accelerated codec capabilities.

## Detailed Description

Definition at line 1936 of file avcodec.h.

## Field Documentation

## name

const char* AVHWAccel::name

Name of the hardware accelerated codec.

The name is globally unique among encoders and among decoders (but an encoder and a decoder can share the same name).

Definition at line 1942 of file avcodec.h.

## type

enum AVMediaType AVHWAccel::type

Type of codec implemented by the hardware accelerator.

See AVMEDIA_TYPE_xxx

Definition at line 1949 of file avcodec.h.

## id

enum AVCodecID AVHWAccel::id

Codec implemented by the hardware accelerator.

See AV_CODEC_ID_xxx

Definition at line 1956 of file avcodec.h.

## pix_fmt

enum AVPixelFormat AVHWAccel::pix_fmt

Supported pixel format.

Only hardware accelerated formats are supported here.

Definition at line 1963 of file avcodec.h.

## capabilities

int AVHWAccel::capabilities

Hardware accelerated codec capabilities.

see AV_HWACCEL_CODEC_CAP_*

Definition at line 1969 of file avcodec.h.

The documentation for this struct was generated from the following file:

- libavcodec/avcodec.h